Index: src/northbridge/intel/e7520/raminit.c
===================================================================
--- src/northbridge/intel/e7520/raminit.c	(revision 3942)
+++ src/northbridge/intel/e7520/raminit.c	(working copy)
@@ -75,7 +75,7 @@
 		reg |= register_values[i+2];
 		pci_write_config32(dev, where, reg);
 	}
-	print_spew("done.\r\n");
+	print_spew("done.\n");
 }
 
 
@@ -156,7 +156,7 @@
 	goto out;
 
  val_err:
-	die("Bad SPD value\r\n");
+	die("Bad SPD value\n");
 	/* If an hw_error occurs report that I have no memory */
 hw_err:
 	sz.side1 = 0;
@@ -284,7 +284,7 @@
 	goto out;
 
  val_err:
-	die("Bad SPD value\r\n");
+	die("Bad SPD value\n");
 	/* If an hw_error occurs report that I have no memory */
 hw_err:
 	dra = 0;
@@ -539,7 +539,7 @@
 		
 	}
 	else {
-		die("Invalid SPD 9 bus speed.\r\n");
+		die("Invalid SPD 9 bus speed.\n");
 	}
 
 	/* 0x78 DRT */
@@ -577,7 +577,7 @@
 					ecc = 2;
 				}
 				else if (ecc == 1) {
-					die("ERROR - Mixed DDR & DDR2 RAM\r\n");
+					die("ERROR - Mixed DDR & DDR2 RAM\n");
 				}
 			} 
 			else if ( reg == 7 ) {
@@ -585,15 +585,15 @@
 					ecc = 1;
 				}
 				else if ( ecc > 1 ) {
-					die("ERROR - Mixed DDR & DDR2 RAM\r\n");
+					die("ERROR - Mixed DDR & DDR2 RAM\n");
 				}
 			}	
 			else {
-				die("ERROR - RAM not DDR\r\n");
+				die("ERROR - RAM not DDR\n");
 			}
 		}
 		else {
-			die("ERROR - Non ECC memory dimm\r\n");
+			die("ERROR - Non ECC memory dimm\n");
 		}
 
 		value = spd_read_byte(ctrl->channel0[cnt], 12);	/*refresh rate*/
@@ -622,10 +622,10 @@
 	ecc = 2;
 	if (read_option(CMOS_VSTART_ECC_memory,CMOS_VLEN_ECC_memory,1) == 0) {
 		ecc = 0;  /* ECC off in CMOS so disable it */
-		print_debug("ECC off\r\n");
+		print_debug("ECC off\n");
 	}
 	else {
-		print_debug("ECC on\r\n");
+		print_debug("ECC on\n");
 	}
 	drc &= ~(3 << 20); /* clear the ecc bits */
 	drc |= (ecc << 20);  /* or in the calculated ecc bits */
@@ -655,7 +655,7 @@
 	goto out;
 
  val_err:
-	die("Bad SPD value\r\n");
+	die("Bad SPD value\n");
 	/* If an hw_error occurs report that I have no memory */
 hw_err:
 	drc = 0;
@@ -670,7 +670,7 @@
 	/* Test if we can read the spd and if ram is ddr or ddr2 */
 	dimm_mask = spd_detect_dimms(ctrl);
 	if (!(dimm_mask & ((1 << DIMM_SOCKETS) - 1))) {
-		print_err("No memory for this cpu\r\n");
+		print_err("No memory for this cpu\n");
 		return;
 	}
 	return;
@@ -772,12 +772,12 @@
 		data32 = 0x777becdc; /* ESSD */
 		break;
 	    }
-	    die("Error - First dimm slot empty\r\n");
+	    die("Error - First dimm slot empty\n");
 	}
 
 	print_debug("ODT Value = ");
 	print_debug_hex32(data32);
-	print_debug("\r\n");
+	print_debug("\n");
 
   	pci_write_config32(ctrl->f0, 0xb0, data32);
 
@@ -1010,7 +1010,7 @@
 	print_debug_hex32(recena);
 	print_debug(",  Receive enable B = ");
 	print_debug_hex32(recenb);
-	print_debug("\r\n");
+	print_debug("\n");
 
 	/* clear out the calibration area */
 	write32(BAR+DCALDATA+(16*4), 0x00000000);
@@ -1076,7 +1076,7 @@
 		0xffffffff, 0xffffffff, 0x000000ff};
 
 	mask = spd_detect_dimms(ctrl);
-	print_debug("Starting SDRAM Enable\r\n");
+	print_debug("Starting SDRAM Enable\n");
 
 	/* 0x80 */
 #ifdef DIMM_MAP_LOGICAL
@@ -1088,7 +1088,7 @@
 	/* set dram type and Front Side Bus freq. */
 	drc = spd_set_dram_controller_mode(ctrl, mask);
 	if( drc == 0) {
-		die("Error calculating DRC\r\n");
+		die("Error calculating DRC\n");
 	}
 	pll_setup(drc);
 	data32 = drc & ~(3 << 20);  /* clear ECC mode */
@@ -1125,7 +1125,7 @@
 	for(i=0;i<8;i++) { /* loop throught each dimm to test for row */
 		print_debug("DIMM ");
 		print_debug_hex8(i);
-		print_debug("\r\n");
+		print_debug("\n");
 		/* Apply NOP */
 		do_delay();
 		
@@ -1308,7 +1308,7 @@
 	write32(BAR+DCALCSR, 0x0008000f);
 
 	/* clear memory and init ECC */
-	print_debug("Clearing memory\r\n");
+	print_debug("Clearing memory\n");
 	for(i=0;i<64;i+=4) {
 		write32(BAR+DCALDATA+i, 0x00000000);
 	}
@@ -1325,13 +1325,13 @@
 	data32 |= (1 << 31);
 	pci_write_config32(ctrl->f0, 0x98, data32);
 	/* wait for completion */
-	print_debug("Waiting for mem complete\r\n");
+	print_debug("Waiting for mem complete\n");
 	while(1) {
 		data32 = pci_read_config32(ctrl->f0, 0x98);
 		if( (data32 & (1<<31)) == 0)
 			break;
 	}
-	print_debug("Done\r\n");
+	print_debug("Done\n");
 	
 	/* Set initialization complete */
 	/* 0x7c DRC */
Index: src/northbridge/intel/e7520/memory_initialized.c
===================================================================
--- src/northbridge/intel/e7520/memory_initialized.c	(revision 3942)
+++ src/northbridge/intel/e7520/memory_initialized.c	(working copy)
@@ -7,7 +7,7 @@
         drc = pci_read_config32(NB_DEV, DRC);
         //print_debug("memory_initialized: DRC: ");
         //print_debug_hex32(drc);
-        //print_debug("\r\n");
+        //print_debug("\n");
 
     	return (drc & (1<<29));
 }	
Index: src/northbridge/intel/i855gme/raminit.c
===================================================================
--- src/northbridge/intel/i855gme/raminit.c	(revision 3942)
+++ src/northbridge/intel/i855gme/raminit.c	(working copy)
@@ -31,7 +31,7 @@
 static void sdram_set_registers(const struct mem_controller *ctrl)
 {
 	/*
-	print_debug("Before configuration:\r\n");
+	print_debug("Before configuration:\n");
 	dump_pci_devices();
 	*/
 }
@@ -212,7 +212,7 @@
 	adjusted_mode = ((mode & 0x800) << (13 - 11)) | ((mode & 0x3ff) << (12 - 9));
 	print_debug("Setting mode: ");
 	print_debug_hex32(adjusted_mode + addr);
-	print_debug("\r\n");
+	print_debug("\n");
 	read32(adjusted_mode + addr);
 }
 
@@ -229,39 +229,39 @@
 {
 	int i;
 	uint32_t rank1 = (1 << 30) / 2;
-	print_debug("Ram enable 1\r\n");
+	print_debug("Ram enable 1\n");
 	delay();
 	delay();
 	
-	print_debug("Ram enable 2\r\n");
+	print_debug("Ram enable 2\n");
 	ram_command(ctrl, 1, 0);
 	ram_command(ctrl, 1, rank1);
 	delay();
 	delay();
 
-	print_debug("Ram enable 3\r\n");
+	print_debug("Ram enable 3\n");
 	ram_command(ctrl, 2, 0);
 	ram_command(ctrl, 2, rank1);
 	delay();
 	delay();
 
-	print_debug("Ram enable 4\r\n");
+	print_debug("Ram enable 4\n");
 	ram_command_mrs(ctrl, 4, SDRAM_EXTMODE_DLL_ENABLE, 0);
 	ram_command_mrs(ctrl, 4, SDRAM_EXTMODE_DLL_ENABLE, rank1);
 	delay();
 	delay();
 	
-	print_debug("Ram enable 5\r\n");
+	print_debug("Ram enable 5\n");
 	ram_command_mrs(ctrl, 3, VG85X_MODE | SDRAM_MODE_DLL_RESET, 0);
 	ram_command_mrs(ctrl, 3, VG85X_MODE | SDRAM_MODE_DLL_RESET, rank1);
 	
-	print_debug("Ram enable 6\r\n");
+	print_debug("Ram enable 6\n");
 	ram_command(ctrl, 2, 0);
 	ram_command(ctrl, 2, rank1);
 	delay();
 	delay();
 	
-	print_debug("Ram enable 7\r\n");
+	print_debug("Ram enable 7\n");
 	for(i = 0; i < 8; i++) {
 		ram_command(ctrl, 6, 0);
 		ram_command(ctrl, 6, rank1);
@@ -269,28 +269,28 @@
 		delay();
 	}
 
-	print_debug("Ram enable 8\r\n");
+	print_debug("Ram enable 8\n");
 	ram_command_mrs(ctrl, 3, VG85X_MODE | SDRAM_MODE_NORMAL, 0);
 	ram_command_mrs(ctrl, 3, VG85X_MODE | SDRAM_MODE_NORMAL, rank1);
 
-	print_debug("Ram enable 9\r\n");
+	print_debug("Ram enable 9\n");
 	ram_command(ctrl, 7, 0);
 	ram_command(ctrl, 7, rank1);
 	delay();
 	delay();
 	
-	print_debug("Ram enable 9\r\n");
+	print_debug("Ram enable 9\n");
 	set_initialize_complete(ctrl);
 	
 	delay();
 	delay();
 	delay();
 	
-	print_debug("After configuration:\r\n");
+	print_debug("After configuration:\n");
 	/* dump_pci_devices(); */
 	
 	/*
-	print_debug("\n\n***** RAM TEST *****\r\n");	
+	print_debug("\n\n***** RAM TEST *****\n");	
 	ram_check(0, 0xa0000);
 	ram_check(0x100000, 0x40000000);
 	*/
Index: src/northbridge/intel/i855gme/debug.c
===================================================================
--- src/northbridge/intel/i855gme/debug.c	(revision 3942)
+++ src/northbridge/intel/i855gme/debug.c	(working copy)
@@ -60,7 +60,7 @@
 			continue;
 		}
 		print_debug_pci_dev(dev);
-		print_debug("\r\n");
+		print_debug("\n");
 	}
 }
 
@@ -68,7 +68,7 @@
 {
 	int i;
 	print_debug_pci_dev(dev);
-	print_debug("\r\n");
+	print_debug("\n");
 	
 	for(i = 0; i <= 255; i++) {
 		unsigned char val;
@@ -80,7 +80,7 @@
 		print_debug_char(' ');
 		print_debug_hex8(val);
 		if ((i & 0x0f) == 0x0f) {
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
@@ -105,7 +105,7 @@
 static void dump_spd_registers(const struct mem_controller *ctrl)
 {
 	int i;
-	print_debug("\r\n");
+	print_debug("\n");
 	for(i = 0; i < 2; i++) {
 		unsigned device;
 		device = ctrl->channel0[i];
@@ -119,20 +119,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 #if 0
 		device = ctrl->channel1[i];
@@ -146,20 +146,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 #endif
 	}
@@ -167,7 +167,7 @@
 static void dump_smbus_registers(void)
 {
         int i;
-        print_debug("\r\n");
+        print_debug("\n");
         for(i = 1; i < 0x80; i++) {
                 unsigned device;
                 device = i;
@@ -178,20 +178,20 @@
                 	int status; 
                         unsigned char byte;
                         if ((j & 0xf) == 0) {
-                	        print_debug("\r\n");
+                	        print_debug("\n");
                                 print_debug_hex8(j);
                                 print_debug(": ");
                         }
                         status = smbus_read_byte(device, j);
                         if (status < 0) {
-                                print_debug("bad device\r\n");
+                                print_debug("bad device\n");
                                 break;
                         }
                         byte = status & 0xff;
                         print_debug_hex8(byte);
                         print_debug_char(' ');
                 }
-                print_debug("\r\n");
+                print_debug("\n");
 	}	
 }
 #endif
Index: src/northbridge/intel/e7525/raminit_test.c
===================================================================
--- src/northbridge/intel/e7525/raminit_test.c	(revision 3942)
+++ src/northbridge/intel/e7525/raminit_test.c	(working copy)
@@ -361,9 +361,9 @@
 	reset_tests();
 	spd_fail_count = i;
 
-	print_debug("\r\nSPD will fail after: ");
+	print_debug("\nSPD will fail after: ");
 	print_debug_hex32(spd_fail_count);
-	print_debug(" accesses.\r\n");
+	print_debug(" accesses.\n");
 	
 	memcpy(&spd_data[0*256], spd_micron_512MB_DDR333, 256);
 	memcpy(&spd_data[1*256], spd_micron_512MB_DDR333, 256);
Index: src/northbridge/intel/e7525/raminit.c
===================================================================
--- src/northbridge/intel/e7525/raminit.c	(revision 3942)
+++ src/northbridge/intel/e7525/raminit.c	(working copy)
@@ -75,7 +75,7 @@
 		reg |= register_values[i+2];
 		pci_write_config32(dev, where, reg);
 	}
-	print_spew("done.\r\n");
+	print_spew("done.\n");
 }
 
 
@@ -156,7 +156,7 @@
 	goto out;
 
  val_err:
-	die("Bad SPD value\r\n");
+	die("Bad SPD value\n");
 	/* If an hw_error occurs report that I have no memory */
 hw_err:
 	sz.side1 = 0;
@@ -284,7 +284,7 @@
 	goto out;
 
  val_err:
-	die("Bad SPD value\r\n");
+	die("Bad SPD value\n");
 	/* If an hw_error occurs report that I have no memory */
 hw_err:
 	dra = 0;
@@ -539,7 +539,7 @@
 		
 	}
 	else {
-		die("Invalid SPD 9 bus speed.\r\n");
+		die("Invalid SPD 9 bus speed.\n");
 	}
 
 	/* 0x78 DRT */
@@ -577,7 +577,7 @@
 					ecc = 2;
 				}
 				else if (ecc == 1) {
-					die("ERROR - Mixed DDR & DDR2 RAM\r\n");
+					die("ERROR - Mixed DDR & DDR2 RAM\n");
 				}
 			} 
 			else if ( reg == 7 ) {
@@ -585,15 +585,15 @@
 					ecc = 1;
 				}
 				else if ( ecc > 1 ) {
-					die("ERROR - Mixed DDR & DDR2 RAM\r\n");
+					die("ERROR - Mixed DDR & DDR2 RAM\n");
 				}
 			}	
 			else {
-				die("ERROR - RAM not DDR\r\n");
+				die("ERROR - RAM not DDR\n");
 			}
 		}
 		else {
-			die("ERROR - Non ECC memory dimm\r\n");
+			die("ERROR - Non ECC memory dimm\n");
 		}
 
 		value = spd_read_byte(ctrl->channel0[cnt], 12);	/*refresh rate*/
@@ -622,10 +622,10 @@
 	ecc = 2;
 	if (read_option(CMOS_VSTART_ECC_memory,CMOS_VLEN_ECC_memory,1) == 0) {
 		ecc = 0;  /* ECC off in CMOS so disable it */
-		print_debug("ECC off\r\n");
+		print_debug("ECC off\n");
 	}
 	else {
-		print_debug("ECC on\r\n");
+		print_debug("ECC on\n");
 	}
 	drc &= ~(3 << 20); /* clear the ecc bits */
 	drc |= (ecc << 20);  /* or in the calculated ecc bits */
@@ -655,7 +655,7 @@
 	goto out;
 
  val_err:
-	die("Bad SPD value\r\n");
+	die("Bad SPD value\n");
 	/* If an hw_error occurs report that I have no memory */
 hw_err:
 	drc = 0;
@@ -670,7 +670,7 @@
 	/* Test if we can read the spd and if ram is ddr or ddr2 */
 	dimm_mask = spd_detect_dimms(ctrl);
 	if (!(dimm_mask & ((1 << DIMM_SOCKETS) - 1))) {
-		print_err("No memory for this cpu\r\n");
+		print_err("No memory for this cpu\n");
 		return;
 	}
 	return;
@@ -743,12 +743,12 @@
 		data32 = 0x777becdc; /* ESSD */
 		break;
 	    }
-	    die("Error - First dimm slot empty\r\n");
+	    die("Error - First dimm slot empty\n");
 	}
 
 	print_debug("ODT Value = ");
 	print_debug_hex32(data32);
-	print_debug("\r\n");
+	print_debug("\n");
 
   	pci_write_config32(ctrl->f0, 0xb0, data32);
 
@@ -981,7 +981,7 @@
 	print_debug_hex32(recena);
 	print_debug(",  Receive enable B = ");
 	print_debug_hex32(recenb);
-	print_debug("\r\n");
+	print_debug("\n");
 
 	/* clear out the calibration area */
 	write32(BAR+DCALDATA+(16*4), 0x00000000);
@@ -1047,7 +1047,7 @@
 		0xffffffff, 0xffffffff, 0x000000ff};
 
 	mask = spd_detect_dimms(ctrl);
-	print_debug("Starting SDRAM Enable\r\n");
+	print_debug("Starting SDRAM Enable\n");
 
 	/* 0x80 */
 #ifdef DIMM_MAP_LOGICAL
@@ -1059,7 +1059,7 @@
 	/* set dram type and Front Side Bus freq. */
 	drc = spd_set_dram_controller_mode(ctrl, mask);
 	if( drc == 0) {
-		die("Error calculating DRC\r\n");
+		die("Error calculating DRC\n");
 	}
 	data32 = drc & ~(3 << 20);  /* clear ECC mode */
 	data32 = data32 & ~(7 << 8);  /* clear refresh rates */
@@ -1095,7 +1095,7 @@
 	for(i=0;i<8;i++) { /* loop throught each dimm to test for row */
 		print_debug("DIMM ");
 		print_debug_hex8(i);
-		print_debug("\r\n");
+		print_debug("\n");
 		/* Apply NOP */
 		do_delay();
 		
@@ -1275,7 +1275,7 @@
 	write32(BAR+DCALCSR, 0x0008000f);
 
 	/* clear memory and init ECC */
-	print_debug("Clearing memory\r\n");
+	print_debug("Clearing memory\n");
 	for(i=0;i<64;i+=4) {
 		write32(BAR+DCALDATA+i, 0x00000000);
 	}
@@ -1292,13 +1292,13 @@
 	data32 |= (1 << 31);
 	pci_write_config32(ctrl->f0, 0x98, data32);
 	/* wait for completion */
-	print_debug("Waiting for mem complete\r\n");
+	print_debug("Waiting for mem complete\n");
 	while(1) {
 		data32 = pci_read_config32(ctrl->f0, 0x98);
 		if( (data32 & (1<<31)) == 0)
 			break;
 	}
-	print_debug("Done\r\n");
+	print_debug("Done\n");
 	
 	/* Set initialization complete */
 	/* 0x7c DRC */
Index: src/northbridge/intel/i855pm/raminit.c
===================================================================
--- src/northbridge/intel/i855pm/raminit.c	(revision 3942)
+++ src/northbridge/intel/i855pm/raminit.c	(working copy)
@@ -69,7 +69,7 @@
 #if DEBUG_RAM_CONFIG >=2
         print_debug("P:");
         print_debug_hex8(value);
-        print_debug("\r\n");
+        print_debug("\n");
 #endif
         /* %ecx - initial address to read from */
         /* Compute the offset */
@@ -83,7 +83,7 @@
 #if DEBUG_RAM_CONFIG  
                 print_debug("R:");
                 print_debug_hex8(byte);
-                print_debug("\r\n");
+                print_debug("\n");
 #endif
 
                 pci_write_config8(ctrl->d0, 0x70, byte);
@@ -92,13 +92,13 @@
 #if DEBUG_RAM_CONFIG  >= 2
                 print_debug("R:");
                 print_debug_hex32(dword);
-                print_debug("\r\n");
+                print_debug("\n");
 #endif
 
 		result = read32(dword);
 		
 #if DEBUG_RAM_CONFIG
-		print_debug("Done\r\n");
+		print_debug("Done\n");
 #endif
                 /* Go to the next base address */
                 dword += 0x0200000;
@@ -391,7 +391,7 @@
                 print_debug_hex32(register_values[i]);
                 print_debug(" <-");
                 print_debug_hex32(register_values[i+2]);
-                print_debug("\r\n");
+                print_debug("\n");
 #endif
                 reg = pci_read_config32(ctrl->d0,register_values[i]);
                 reg &= register_values[i+1];
@@ -477,7 +477,7 @@
         goto out;
 
  val_err:
-        die("Bad SPD value\r\n");
+        die("Bad SPD value\n");
         /* If an hw_error occurs report that I have no memory */
 hw_err:
 	pgsz.side1 = 0;
@@ -600,11 +600,11 @@
 #if DEBUG_RAM_CONFIG
 	print_debug("returned size log 2 in bits is :");
 	print_debug_hex32(value);
-	print_debug("\r\n");
+	print_debug("\n");
 #endif
 	goto out;
  val_err:
-        die("Bad SPD value\r\n");
+        die("Bad SPD value\n");
         /* If an hw_error occurs report that I have no memory */
 hw_err:
         sz.side1 = 0;
@@ -661,7 +661,7 @@
 		print_debug_hex32(sz.side1);
 		print_debug(" ");
 		print_debug_hex32(sz.side2);
-		print_debug("\r\n");
+		print_debug("\n");
 #endif
 	
 		/* Test to see if the dimm is present */
@@ -669,7 +669,7 @@
 
 			/* Test for a valid dimm width */
 			if((sz.side1 <15) || (sz.side1>18) ) {
-				print_err("unsupported page size\r\n");
+				print_err("unsupported page size\n");
 			}
 
 			/* Convert to the format needed for the DRA register */
@@ -690,7 +690,7 @@
         
 	                        /* Test for a valid dimm width */
         	                if((sz.side2 <15) || (sz.side2>18) ) {
-                	                print_err("unsupported page size\r\n");
+                	                print_err("unsupported page size\n");
                         	}
 
                         	/* Convert to the format needed for the DRA register */
@@ -711,9 +711,9 @@
 	return dimm_mask;
 
 }
-#define spd_pre_init  "Reading SPD data...\r\n"
-#define spd_pre_set "setting based on SPD data...\r\n"
-#define spd_post_init "done\r\n"
+#define spd_pre_init  "Reading SPD data...\n"
+#define spd_pre_set "setting based on SPD data...\n"
+#define spd_post_init "done\n"
 
 
 static const uint32_t refresh_rate_rank[]= {
@@ -756,7 +756,7 @@
 #if 0 /* DEBUG_RAM_CONFIG*/
 	print_debug("spd_detect_dimms: 0x70.l is:");
 	print_debug_hex32(dword);
-	print_debug("\r\n");
+	print_debug("\n");
 #endif
 
 #if 0
@@ -780,34 +780,34 @@
                 if(value < 0) continue;
 		if(value !=2 ) {
 #if DEBUG_RAM_CONFIG
-	print_debug("spd_detect_dimms:\r\n");
+	print_debug("spd_detect_dimms:\n");
 #endif
 			/* Clear the ecc enable */
 			dword &= ~(3 << 20);
 #if 0 &&DEBUG_RAM_CONFIG
 	print_debug("spd_detect_dimms: no ecc so set:");
 	print_debug_hex32(dword);
-	print_debug("\r\n");
+	print_debug("\n");
 #endif
 
 		}
 		value = spd_read_byte(ctrl->channel0[i], 12);  /* SDRAM refresh rate */
 		if(value < 0 ) continue;
 		value &= 0x7f;
-		if(value > MAX_SPD_REFRESH_RATE) { print_err("unsupported refresh rate\r\n");}
-/*		if(value == 0xff) { print_err("unsupported refresh rate\r\n");}*/
+		if(value > MAX_SPD_REFRESH_RATE) { print_err("unsupported refresh rate\n");}
+/*		if(value == 0xff) { print_err("unsupported refresh rate\n");}*/
 		
 #if DEBUG_RAM_CONFIG
 	print_debug("spd_detect_dimms: ref rate index:");
 	print_debug_hex8(value);
-	print_debug("\r\n");
+	print_debug("\n");
 #endif
 	if (value == 2) /* have to go faster */
 	  refrate = 2;
 #if 0 &&DEBUG_RAM_CONFIG
 	print_debug("spd_detect_dimms: dword is now w/refresh:");
 	print_debug_hex32(dword);
-	print_debug("\r\n");
+	print_debug("\n");
 #endif
 		/* no applicability here but there are similar things
 		 * we'll try later. 
@@ -1062,7 +1062,7 @@
 	print_debug_hex32(ramindex);
 	print_debug(" and speed ");
 	print_debug_hex32(rambusfrequency);
-	print_debug("\r\n");
+	print_debug("\n");
 #endif
 
 	/* for now, since we are on deadline, set to "known good" and 
@@ -1116,7 +1116,7 @@
 			uint32_t tmp;
 			/* Die if the value is to large */
 			if(value>7) {
-				die ("unsupported_rcd\r\n");
+				die ("unsupported_rcd\n");
 			}
 			/* Convert to clocks - 5 */
 			value -=5;
@@ -1171,14 +1171,14 @@
         int i;  
         dimm_mask = 0;  
 #if DEBUG_RAM_CONFIG
-	print_debug("spd_detect_dimms:\r\n");
+	print_debug("spd_detect_dimms:\n");
 #endif
         for(i = 0; i < DIMM_SOCKETS; i++) {
                 int byte;
                 unsigned device;
 #if DEBUG_RAM_CONFIG
 		print_debug_hex32(i);
-		print_debug("\r\n");
+		print_debug("\n");
 #endif
                 device = ctrl->channel0[i];
                 if (device) {
@@ -1226,7 +1226,7 @@
 	print_debug_hex8(memsz);
 	print_debug(" to ");
 	print_debug_hex8(0x40 + index);
-	print_debug("\r\n");
+	print_debug("\n");
 #endif
 	byte = memsz;
         pci_write_config8(ctrl->d0, 0x40+index, byte);
@@ -1260,7 +1260,7 @@
                 print_debug_hex32(sz.side1);
                 print_debug(" ");
                 print_debug_hex32(sz.side2);
-                print_debug("\r\n");
+                print_debug("\n");
 #endif
 
                 if (sz.side1 == 0) {
@@ -1352,7 +1352,7 @@
 
  hw_spd_err:
         /* Unrecoverable error reading SPD data */
-        print_err("SPD error - reset\r\n");
+        print_err("SPD error - reset\n");
         hard_reset();
         return;
 }
@@ -1382,8 +1382,8 @@
 #define SPECIAL_FINISHUP()   CALL_LABEL(dram_finish)
 
 
-#define ecc_pre_init	"Initializing ECC state...\r\n"
-#define ecc_post_init	"ECC state initialized.\r\n"
+#define ecc_pre_init	"Initializing ECC state...\n"
+#define ecc_post_init	"ECC state initialized.\n"
 static void dram_finish(const struct mem_controller *ctrl)
 {
 	uint32_t dword;
@@ -1416,17 +1416,17 @@
 }
 
 #if ASM_CONSOLE_LOGLEVEL > BIOS_DEBUG
-#define ram_enable_1    "Ram Enable 1\r\n"
-#define ram_enable_2	"Ram Enable 2\r\n"
-#define ram_enable_3 	"Ram Enable 3\r\n"
-#define ram_enable_4 	"Ram Enable 4\r\n"
-#define ram_enable_5 	"Ram Enable 5\r\n"
-#define ram_enable_6 	"Ram Enable 6\r\n"
-#define ram_enable_7 	"Ram Enable 7\r\n"
-#define ram_enable_8 	"Ram Enable 8\r\n"
-#define ram_enable_9 	"Ram Enable 9\r\n"
-#define ram_enable_10 	"Ram Enable 10\r\n"
-#define ram_enable_11 	"Ram Enable 11\r\n"
+#define ram_enable_1    "Ram Enable 1\n"
+#define ram_enable_2	"Ram Enable 2\n"
+#define ram_enable_3 	"Ram Enable 3\n"
+#define ram_enable_4 	"Ram Enable 4\n"
+#define ram_enable_5 	"Ram Enable 5\n"
+#define ram_enable_6 	"Ram Enable 6\n"
+#define ram_enable_7 	"Ram Enable 7\n"
+#define ram_enable_8 	"Ram Enable 8\n"
+#define ram_enable_9 	"Ram Enable 9\n"
+#define ram_enable_10 	"Ram Enable 10\n"
+#define ram_enable_11 	"Ram Enable 11\n"
 #endif
 
 	/* Estimate that SLOW_DOWN_IO takes about 50&76us*/
@@ -1586,7 +1586,7 @@
 	*c = 'a';
 	print_debug("Test: ");
 	print_debug_hex8(*c);
-	print_debug("\r\n");
+	print_debug("\n");
 	}
 	
 
Index: src/northbridge/intel/i855pm/debug.c
===================================================================
--- src/northbridge/intel/i855pm/debug.c	(revision 3942)
+++ src/northbridge/intel/i855pm/debug.c	(working copy)
@@ -27,7 +27,7 @@
 			continue;
 		}
 		print_debug_pci_dev(dev);
-		print_debug("\r\n");
+		print_debug("\n");
 	}
 }
 
@@ -35,7 +35,7 @@
 {
 	int i;
 	print_debug_pci_dev(dev);
-	print_debug("\r\n");
+	print_debug("\n");
 	
 	for(i = 0; i <= 255; i++) {
 		unsigned char val;
@@ -47,7 +47,7 @@
 		print_debug_char(' ');
 		print_debug_hex8(val);
 		if ((i & 0x0f) == 0x0f) {
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
@@ -72,7 +72,7 @@
 static void dump_spd_registers(const struct mem_controller *ctrl)
 {
 	int i;
-	print_debug("\r\n");
+	print_debug("\n");
 	for(i = 0; i < 4; i++) {
 		unsigned device;
 		device = ctrl->channel0[i];
@@ -86,20 +86,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 #if 0
 		device = ctrl->channel1[i];
@@ -113,20 +113,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 #endif
 	}
@@ -134,7 +134,7 @@
 static void dump_smbus_registers(void)
 {
         int i;
-        print_debug("\r\n");
+        print_debug("\n");
         for(i = 1; i < 0x80; i++) {
                 unsigned device;
                 device = i;
@@ -145,20 +145,20 @@
                 	int status; 
                         unsigned char byte;
                         if ((j & 0xf) == 0) {
-                	        print_debug("\r\n");
+                	        print_debug("\n");
                                 print_debug_hex8(j);
                                 print_debug(": ");
                         }
                         status = smbus_read_byte(device, j);
                         if (status < 0) {
-                                print_debug("bad device\r\n");
+                                print_debug("bad device\n");
                                 break;
                         }
                         byte = status & 0xff;
                         print_debug_hex8(byte);
                         print_debug_char(' ');
                 }
-                print_debug("\r\n");
+                print_debug("\n");
 	}	
 }
 #endif
Index: src/northbridge/intel/i440bx/raminit.c
===================================================================
--- src/northbridge/intel/i440bx/raminit.c	(revision 3942)
+++ src/northbridge/intel/i440bx/raminit.c	(working copy)
@@ -403,7 +403,7 @@
 			PRINT_DEBUG_HEX16(reg16);
 			PRINT_DEBUG(" to 0x");
 			PRINT_DEBUG_HEX32(addr);
-			PRINT_DEBUG("\r\n");
+			PRINT_DEBUG("\n");
 #endif
 
 			read32(addr);
@@ -435,7 +435,7 @@
 		PRINT_DEBUG_HEX8(reg);
 		PRINT_DEBUG(") for DIMM ");
 		PRINT_DEBUG_HEX8(i);
-		PRINT_DEBUG("\r\n");
+		PRINT_DEBUG("\n");
 	}
 
 	pci_write_config8(NB, DRAMC, reg);
@@ -450,7 +450,7 @@
 	int i, max;
 	uint8_t reg;
 
-	PRINT_DEBUG("Northbridge prior to SDRAM init:\r\n");
+	PRINT_DEBUG("Northbridge prior to SDRAM init:\n");
 	DUMPNORTH();
 
 	max = ARRAY_SIZE(register_values);
@@ -466,7 +466,7 @@
 		PRINT_DEBUG_HEX8(register_values[i]);
 		PRINT_DEBUG(" to 0x");
 		PRINT_DEBUG_HEX8(reg);
-		PRINT_DEBUG("\r\n");
+		PRINT_DEBUG("\n");
 	}
 }
 
@@ -534,38 +534,38 @@
 	udelay(200);
 
 	/* 1. Apply NOP. Wait 200 clock cycles (200us should do). */
-	PRINT_DEBUG("RAM Enable 1: Apply NOP\r\n");
+	PRINT_DEBUG("RAM Enable 1: Apply NOP\n");
 	do_ram_command(RAM_COMMAND_NOP);
 	udelay(200);
 
 	/* 2. Precharge all. Wait tRP. */
-	PRINT_DEBUG("RAM Enable 2: Precharge all\r\n");
+	PRINT_DEBUG("RAM Enable 2: Precharge all\n");
 	do_ram_command(RAM_COMMAND_PRECHARGE);
 	udelay(1);
 
 	/* 3. Perform 8 refresh cycles. Wait tRC each time. */
-	PRINT_DEBUG("RAM Enable 3: CBR\r\n");
+	PRINT_DEBUG("RAM Enable 3: CBR\n");
 	for (i = 0; i < 8; i++) {
 		do_ram_command(RAM_COMMAND_CBR);
 		udelay(1);
 	}
 
 	/* 4. Mode register set. Wait two memory cycles. */
-	PRINT_DEBUG("RAM Enable 4: Mode register set\r\n");
+	PRINT_DEBUG("RAM Enable 4: Mode register set\n");
 	do_ram_command(RAM_COMMAND_MRS);
 	udelay(2);
 
 	/* 5. Normal operation. */
-	PRINT_DEBUG("RAM Enable 5: Normal operation\r\n");
+	PRINT_DEBUG("RAM Enable 5: Normal operation\n");
 	do_ram_command(RAM_COMMAND_NORMAL);
 	udelay(1);
 
 	/* 6. Finally enable refresh. */
-	PRINT_DEBUG("RAM Enable 6: Enable refresh\r\n");
+	PRINT_DEBUG("RAM Enable 6: Enable refresh\n");
 	// pci_write_config8(NB, PMCR, 0x10);
 	spd_enable_refresh();
 	udelay(1);
 
-	PRINT_DEBUG("Northbridge following SDRAM init:\r\n");
+	PRINT_DEBUG("Northbridge following SDRAM init:\n");
 	DUMPNORTH();
 }
Index: src/northbridge/intel/i440bx/debug.c
===================================================================
--- src/northbridge/intel/i440bx/debug.c	(revision 3942)
+++ src/northbridge/intel/i440bx/debug.c	(working copy)
@@ -2,7 +2,7 @@
 static void dump_spd_registers(void)
 {
 	int i;
-	print_debug("\r\n");
+	print_debug("\n");
 	for(i = 0; i < DIMM_SOCKETS; i++) {
 		unsigned device;
 		device = DIMM_SPD_BASE + i;
@@ -16,20 +16,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = spd_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
